Skip to main content
POST
/
views
cURL
curl --request POST \
  --url https://api.axiom.co/v2/views \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aplQuery": "<string>",
  "name": "<string>",
  "datasets": [
    "<string>"
  ],
  "description": "<string>",
  "sharedByOrg": "<string>",
  "sharedByOrgName": "<string>"
}
'
{
  "aplQuery": "<string>",
  "name": "<string>",
  "datasets": [
    "<string>"
  ],
  "description": "<string>",
  "sharedByOrg": "<string>",
  "sharedByOrgName": "<string>"
}

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Body

application/json
aplQuery
string
required
name
string
required
datasets
string[]
description
string
sharedByOrg
string

ID of the org that shared this resource, if it's shared

sharedByOrgName
string

The name of the org that shared this resource, if it's shared

Response

200 - application/json

View

aplQuery
string
required
name
string
required
datasets
string[]
description
string
sharedByOrg
string

ID of the org that shared this resource, if it's shared

sharedByOrgName
string

The name of the org that shared this resource, if it's shared